Bug 1057760 - perl-Text-CSV RPM in EPEL6 needs update from 1.16
Summary: perl-Text-CSV RPM in EPEL6 needs update from 1.16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Text-CSV
Version: el6
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 18:33 UTC by Steve Snodgrass
Modified: 2014-02-16 11:20 UTC (History)
2 users (show)

Fixed In Version: perl-Text-CSV-1.16-2.el6.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-16 11:20:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Snodgrass 2014-01-24 18:33:55 UTC
Description of problem: The perl-text-CSV package in EPEL6 is an old version that is impacted by CPAN bug #58356: https://rt.cpan.org/Public/Bug/Display.html?id=58356

This causes broken CSV files to be generated when using the quote_space option is disabled and CSV fields have embedded commas.  This was fixed in version 1.18 of Text::CSV.  I would suggest upgrading the package to version 1.21 or higher.  Simply rebuilding the 1.21 perl-Text-CSV source RPM from Fedora 15 on RHEL6 worked perfectly for me.


Version-Release number of selected component (if applicable): 1.16-2.el6


How reproducible: Always


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2014-01-24 23:07:11 UTC
perl-Text-CSV-1.16-2.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Text-CSV-1.16-2.el6.1

Comment 2 Fedora Update System 2014-01-25 05:07:27 UTC
Package perl-Text-CSV-1.16-2.el6.1:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-Text-CSV-1.16-2.el6.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0312/perl-Text-CSV-1.16-2.el6.1
then log in and leave karma (feedback).

Comment 3 Lubomir Rintel 2014-01-25 10:28:18 UTC
Please note that I cherry-picked the patch instead of rebasing to a later version so that I ensure bug-to-bug compatibility and minimize possibilities of regression in behavior that can be relied upon.

Please test.

Comment 4 Steve Snodgrass 2014-01-25 19:13:45 UTC
Thank you, but the problem with patching this is that I've started using this line in my perl code to ensure that it won't run on a system that will produce broken output:

use Text::CSV 1.18;

This just requires a minimum version of 1.18 for the module, but it will fail on this patched version.

Note that Text:CSV 1.21 was a stable version all the way from the end of 2010 until 1.30 was released in June 2013.  It might also require an update of Text::CSV_XS though.

Comment 5 Fedora Update System 2014-02-16 11:20:12 UTC
perl-Text-CSV-1.16-2.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.